//println("starting test now")

import scala.concurrent._
import scala.concurrent.duration._
import ExecutionContext.Implicits.global
import scala.language.postfixOps 

lazy val f = Future {
  assert(get_prices(List("BIDU"), 2004 to 2008) == List(List(None), List(None), 
                                                        List(Some(6.35)), List(Some(12.241)), 
                                                        List(Some(38.188))))
}


Await.result(f, 180 second)

